<?php
class M_absensi extends CI_Model {

    public function getAbsensi($bulan, $tahun) {
        $this->db->select('a.*, l.nama');
        $this->db->from('absensi_lansia a');
        $this->db->join('data_lansia l', 'a.nik = l.nik');
        $this->db->where('a.bulan', $bulan);
        $this->db->where('a.tahun', $tahun);
        return $this->db->get()->result_array();
    }

    public function getAllLansia() {
        return $this->db->get('data_lansia')->result_array();
    }

    public function simpanAbsensi($data) {
        foreach ($data as $row) {
            $this->db->insert('absensi_lansia', $row);
        }
    }

    public function sudahAda($nik, $bulan, $tahun) {
        $this->db->where(['nik' => $nik, 'bulan' => $bulan, 'tahun' => $tahun]);
        return $this->db->get('absensi_lansia')->num_rows() > 0;
    }
    public function cekRiwayat($nik, $bulan, $tahun) {
    $this->db->where('nik', $nik);
    $this->db->where('MONTH(tanggal_periksa)', $bulan);
    $this->db->where('YEAR(tanggal_periksa)', $tahun);
    return $this->db->get('riwayat_kesehatan')->num_rows() > 0;
}


}
