<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class M_agenda extends CI_Model {

	
	public function tampil() {
        return $this->db->get('agenda'); // Sesuaikan dengan nama tabel di database
    }

    public function input() {
        $data = [
            'nama_agenda' => $this->input->post('nama_agenda', TRUE),
            'jenis'       => $this->input->post('jenis', TRUE),
            'tanggal'     => $this->input->post('tanggal', TRUE),
            'tempat'      => $this->input->post('tempat', TRUE),
            'keterangan'  => $this->input->post('keterangan', TRUE),
        ];
        return $this->db->insert('agenda', $data); // Pastikan nama tabel sesuai
    }

	public function delete(){

        $this->db->where('id',$this->uri->segment(3));
        return $this->db->delete('agenda');

	}

	public function edit(){

    $this->db->select('*');
    $this->db->where('id',$this->uri->segment(3));
	return $this->db->get('agenda');
	
	}

	public function update(){
	$data = array('nama_agenda' => $this->input->post('nama_agenda') , 
                  'jenis'=> $this->input->post('jenis'),
                  'tanggal'=> $this->input->post('tanggal'),
              	  'tempat'=> $this->input->post('tempat'),
              	  'keterangan'=> $this->input->post('keterangan'));

    $this->db->where('id',$this->uri->segment(3));
    return $this->db->update('agenda',$data);

	}

	// Fungsi untuk mengambil agenda yang akan datang
    public function get_upcoming_agenda() {
        $this->db->where('tanggal >=', date('Y-m-d')); // Mengambil agenda setelah tanggal sekarang
        $this->db->order_by('tanggal', 'ASC'); // Mengurutkan berdasarkan tanggal
        return $this->db->get('agenda')->result(); // Mengembalikan data agenda
    }

    // Fungsi untuk mengambil seluruh agenda
    public function get_all_agenda() {
        return $this->db->get('agenda')->result();
    }

    public function getAgendaById($id)
{
    return $this->db->get_where('agenda', ['id' => $id])->row();
}

public function get_last_agenda()
{
    $this->db->order_by('tanggal', 'DESC');
    $this->db->limit(1);
    return $this->db->get('agenda')->row();
}


}