<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css" integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">


    <!-- MY CSS -->

    <link rel="stylesheet" href="<?= base_url(); ?>/assets/css/style.css">

    <title><?php echo $judul; ?></title>

</head>

<body >

    
<nav class="navbar navbar-expand-lg navbar-light">
    <div class="container">
        <span class="navbar-brand brand-title">
            <img src="<?= base_url('assets/img/logo-posyandu.png'); ?>" width="70" height="60"> Posyandu Mawar
        </span>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup"
            aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
            <div class="navbar-nav ml-auto">
                <a class="nav-link <?= ($this->uri->segment(2) == 'dashboard') ? 'active' : '' ?>" 
                   href="<?= base_url(); ?>admin/dashboard">Home</a>
                
                <div class="d-flex">
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle <?= ($this->uri->segment(1) == 'Databidan' || $this->uri->segment(1) == 'Datakader' || $this->uri->segment(1) == 'Datalansia') ? 'active' : '' ?>" 
                           href="#" id="navbarDropdown" role="button" data-toggle="dropdown">Data User</a>
                        
                        <div class="dropdown-menu">
                            <a class="dropdown-item <?= ($this->uri->segment(1) == 'Databidan') ? 'active' : '' ?>" 
                               href="<?= base_url(); ?>Databidan">Data Bidan</a>
                            <a class="dropdown-item <?= ($this->uri->segment(1) == 'Datakader') ? 'active' : '' ?>" 
                               href="<?= base_url(); ?>Datakader">Data Kader</a>
                            <a class="dropdown-item <?= ($this->uri->segment(1) == 'Datalansia') ? 'active' : '' ?>" 
                               href="<?= base_url(); ?>Datalansia">Data Lansia</a>
                        </div>
                    </li>
                </div>
                
               <a class="nav-link <?= ($this->uri->segment(2) == 'daftarpengguna') ? 'active' : '' ?>" 
                   href="<?= base_url(); ?>admin/daftarpengguna">Manajemen Akun</a>

                <a class="nav-link <?= ($this->uri->segment(1) == 'Agenda') ? 'active' : '' ?>" 
                   href="<?= base_url(); ?>Agenda">Agenda</a>
                
                
                
                
            </div>
        </div>
        <!-- Kanan: Dropdown User -->
        <div class="dropdown">
        <a class="nav-link dropdown-toggle text-dark" href="#" id="userDropdown" data-toggle="dropdown">
            <i class="fas fa-user-circle"></i> 
            <?= ucfirst($this->session->userdata('role')); ?> <?= $this->session->userdata('nama'); ?>
        </a>
        <div class="dropdown-menu dropdown-menu-right">
            <a class="dropdown-item" href="<?= base_url('login/logout'); ?>">
            <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i> Logout
            </a>
        </div>
        </div>
    </div>
</nav>

 
