<div class="container my-5">
<a href="<?= base_url('databidan'); ?>" class="btn btn-secondary">Kembali</a>
    <h3 class="text-center mb-4">Form Tambah Data Bidan</h3>
    <div class="row justify-content-center">
        <div class="col-md-6">
            <form action="" method="post">
                <div class="form-group">
                    <label for="nama">Nama Lengkap</label>
                    <input type="text" class="form-control" id="nama" name="nama" value="<?= set_value('nama'); ?>">
                    <small class="text-danger"><?= form_error('nama'); ?></small>
                </div>
                <div class="form-group">
                    <label for="nik">NIK</label>
                    <input type="number" class="form-control" id="nik" name="nik" value="<?= set_value('nik'); ?>">
                    <small class="text-danger"><?= form_error('nik'); ?></small>
                </div>
                <div class="form-group">
                    <label for="tempat_lahir">Tempat Lahir</label>
                    <input type="text" class="form-control" id="tempat_lahir" name="tempat_lahir" value="<?= set_value('tempat_lahir'); ?>">
                    <small class="text-danger"><?= form_error('tempat_lahir'); ?></small>
                </div>

                <div class="form-group">
                    <label for="tanggal_lahir">Tanggal Lahir</label>
                    <input type="date" class="form-control" id="tanggal_lahir" name="tanggal_lahir" value="<?= set_value('tanggal_lahir'); ?>">
                    <small class="text-danger"><?= form_error('tanggal_lahir'); ?></small>
                </div>

                <div class="form-group">
                    <label for="email">Email Aktif</label>
                    <input type="email" class="form-control" id="email" name="email" value="<?= set_value('email'); ?>">
                    <small class="text-danger"><?= form_error('email'); ?></small>
                </div>

                <div class="form-group">
                    <label for="no_hp">Nomor HP</label>
                    <input type="number" class="form-control" id="no_hp" name="no_hp" value="<?= set_value('no_hp'); ?>">
                    <small class="text-danger"><?= form_error('no_hp'); ?></small>
                </div>

                <div class="form-group">
                    <label for="alamat">Alamat Lengkap</label>
                    <textarea class="form-control" id="alamat" name="alamat" rows="2"><?= set_value('alamat'); ?></textarea>
                    <small class="text-danger"><?= form_error('alamat'); ?></small>
                </div>

                <div class="form-group">
                    <label for="agama">Agama</label>
                    <select class="form-control" id="agama" name="agama">
                        <option value="">-- Pilih Agama --</option>
                        <option value="Islam" <?= set_select('agama', 'Islam'); ?>>Islam</option>
                        <option value="Kristen" <?= set_select('agama', 'Kristen'); ?>>Kristen</option>
                        <option value="Katolik" <?= set_select('agama', 'Katolik'); ?>>Katolik</option>
                        <option value="Hindu" <?= set_select('agama', 'Hindu'); ?>>Hindu</option>
                        <option value="Budha" <?= set_select('agama', 'Budha'); ?>>Budha</option>
                        <option value="Konghucu" <?= set_select('agama', 'Konghucu'); ?>>Konghucu</option>
                    </select>
                    <small class="text-danger"><?= form_error('agama'); ?></small>
                </div>

                <div class="form-group">
                    <label for="pendidikan_terakhir">Pendidikan Terakhir</label>
                    <select class="form-control" id="pendidikan_terakhir" name="pendidikan_terakhir" required>
                        <option value="">-- Pilih Pendidikan Terakhir --</option>
                        <option value="Tidak tamat sekolah" <?= set_select('pendidikan_terakhir', 'Tidak tamat sekolah'); ?>>Tidak Tamat Sekolah</option>
                        <option value="SD/Sederajat" <?= set_select('pendidikan_terakhir', 'SD/Sederajat'); ?>>SD/Sederajat</option>
                        <option value="SMP/Sederajat" <?= set_select('pendidikan_terakhir', 'SMP/Sederajat'); ?>>SMP/Sederajat</option>
                        <option value="SMA/Sederajat" <?= set_select('pendidikan_terakhir', 'SMA/Sederajat'); ?>>SMA/Sederajat</option>
                        <option value="Diploma satu (D1)" <?= set_select('pendidikan_terakhir', 'Diploma satu (D1)'); ?>>Diploma Satu (D1)</option>
                        <option value="Diploma dua (D2)" <?= set_select('pendidikan_terakhir', 'Diploma dua (D2)'); ?>>Diploma Dua (D2)</option>
                        <option value="Diploma tiga (D3)" <?= set_select('pendidikan_terakhir', 'Diploma tiga (D3)'); ?>>Diploma Tiga (D3)</option>
                        <option value="Diploma empat (D4)" <?= set_select('pendidikan_terakhir', 'Diploma empat (D4)'); ?>>Diploma Empat (D4)</option>
                        <option value="Sarjana (S1)" <?= set_select('pendidikan_terakhir', 'Sarjana (S1)'); ?>>Sarjana (S1)</option>
                        <option value="Magister (S2)" <?= set_select('pendidikan_terakhir', 'Magister (S2)'); ?>>Magister (S2)</option>
                        <option value="Doktor (S3)" <?= set_select('pendidikan_terakhir', 'Doktor (S3)'); ?>>Doktor (S3)</option>
                    </select>
                    <small class="text-danger"><?= form_error('pendidikan_terakhir'); ?></small>
                </div>

                <div class="form-group d-flex justify-content-between">
                    
                    <button type="submit" class="btn btn-primary">Simpan</button>
                </div>
            </form>
        </div>
    </div>
</div>
