<div class="container my-5">
<a href="javascript:void(0)" class="btn btn-success mr-2" onclick="history.back()">Kembali</a>
  <div class="row justify-content-center align-items-center h-100">
    <div class="col-md-8">
      <h2 class="mt-5 text-center">Edit Data Bidan</h2>
      <div class="card-body">
        <form action="<?= base_url('Databidan/ubah/' . $data_bidan['id']); ?>" method="post">
          <div class="form-group">
            <label for="nama">Nama Lengkap</label>
            <input type="text" name="nama" class="form-control" id="nama" value="<?= $data_bidan['nama']; ?>" required>
          </div>
          <div class="form-group">
            <label for="nik">NIK</label>
            <input type="number" name="nik" class="form-control" id="nik" value="<?= $data_bidan['nik']; ?>" required>
          </div>
          <div class="form-group">
            <label for="tempat_lahir">Tempat Lahir</label>
            <input type="text" name="tempat_lahir" class="form-control" id="tempat_lahir" value="<?= $data_bidan['tempat_lahir']; ?>" required>
          </div>
          <div class="form-group">
            <label for="tanggal_lahir">Tanggal Lahir</label>
            <input type="date" name="tanggal_lahir" class="form-control" id="tanggal_lahir" value="<?= $data_bidan['tanggal_lahir']; ?>" required>
          </div>
          <div class="form-group">
            <label for="alamat">Alamat</label>
            <input type="text" name="alamat" class="form-control" id="alamat" value="<?= $data_bidan['alamat']; ?>" required>
          </div>
          <div class="form-group">
            <label for="agama">Agama</label>
            <select name="agama" class="form-control" id="agama" required>
              <option value="">Pilih Agama</option>
              <option value="Islam" <?= $data_bidan['agama'] == 'Islam' ? 'selected' : ''; ?>>Islam</option>
              <option value="Kristen Katholik" <?= $data_bidan['agama'] == 'Kristen Katholik' ? 'selected' : ''; ?>>Kristen Katholik</option>
              <option value="Kristen Protestan" <?= $data_bidan['agama'] == 'Kristen Protestan' ? 'selected' : ''; ?>>Kristen Protestan</option>
              <option value="Hindu" <?= $data_bidan['agama'] == 'Hindu' ? 'selected' : ''; ?>>Hindu</option>
              <option value="Budha" <?= $data_bidan['agama'] == 'Budha' ? 'selected' : ''; ?>>Budha</option>
              <option value="Konghucu" <?= $data_bidan['agama'] == 'Konghucu' ? 'selected' : ''; ?>>Konghucu</option>
            </select>
          </div>
          <div class="form-group">
            <label for="pendidikan_terakhir">Pendidikan Terakhir</label>
            <select name="pendidikan_terakhir" class="form-control" id="pendidikan_terakhir" required>
              <option value="">Pilih Pendidikan Terakhir</option>
              <option value="Tidak tamat sekolah" <?= $data_bidan['pendidikan_terakhir'] == 'Tidak tamat sekolah' ? 'selected' : ''; ?>>Tidak Tamat Sekolah</option>
              <option value="SD/Sederajat" <?= $data_bidan['pendidikan_terakhir'] == 'SD/Sederajat' ? 'selected' : ''; ?>>SD/Sederajat</option>
              <option value="SMP/Sederajat" <?= $data_bidan['pendidikan_terakhir'] == 'SMP/Sederajat' ? 'selected' : ''; ?>>SMP/Sederajat</option>
              <option value="SMA/Sederajat" <?= $data_bidan['pendidikan_terakhir'] == 'SMA/Sederajat' ? 'selected' : ''; ?>>SMA/Sederajat</option>
              <option value="Diploma satu (D1)" <?= $data_bidan['pendidikan_terakhir'] == 'Diploma satu (D1)' ? 'selected' : ''; ?>>Diploma Satu (D1)</option>
              <option value="Diploma dua (D2)" <?= $data_bidan['pendidikan_terakhir'] == 'Diploma dua (D2)' ? 'selected' : ''; ?>>Diploma Dua (D2)</option>
              <option value="Diploma tiga (D3)" <?= $data_bidan['pendidikan_terakhir'] == 'Diploma tiga (D3)' ? 'selected' : ''; ?>>Diploma Tiga (D3)</option>
              <option value="Diploma empat (D4)" <?= $data_bidan['pendidikan_terakhir'] == 'Diploma empat (D4)' ? 'selected' : ''; ?>>Diploma Empat (D4)</option>
              <option value="Sarjana (S1)" <?= $data_bidan['pendidikan_terakhir'] == 'Sarjana (S1)' ? 'selected' : ''; ?>>Sarjana (S1)</option>
              <option value="Magister (S2)" <?= $data_bidan['pendidikan_terakhir'] == 'Magister (S2)' ? 'selected' : ''; ?>>Magister (S2)</option>
              <option value="Doktor (S3)" <?= $data_bidan['pendidikan_terakhir'] == 'Doktor (S3)' ? 'selected' : ''; ?>>Doktor (S3)</option>
            </select>
          </div>
          <div class="form-group">
            <label for="email">Email</label>
            <input type="email" name="email" class="form-control" id="email" value="<?= $data_bidan['email']; ?>" required>
          </div>
          <div class="form-group">
            <label for="no_hp">No. HP</label>
            <input type="number" name="no_hp" class="form-control" id="no_hp" value="<?= $data_bidan['no_hp']; ?>" required>
          </div>
          <div class="text-center">
            
            <?= form_submit('submit', 'Simpan', ['class' => 'btn btn-primary']) ?>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
