<div class="container my-5">
    <?php if ($this->session->flashdata('flash')) : ?>
    <div class="row mt-3">
        <div class="col-md-6">
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                Data Kader <strong>berhasil</strong> <?= $this->session->flashdata('flash'); ?>.
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        </div>
    </div>
    <?php endif; ?>

    <!-- Baris untuk tombol Tambah dan Form Pencarian -->
    <div class="container my-5">
    <h3 class="text-center">Data Kader</h3>
    <?php if (empty($data_kader)) : ?>
        <div class="alert alert-danger" role="alert">
            Data kader tidak ditemukan
        </div>
    <?php endif; ?>
                <div class="row mt-3">
                    <div class="col-md-6">
                    <a href="<?= base_url(); ?>datakader/tambah" class="btn btn-primary">
                        <i class="fas fa-plus"></i> Tambah Kader
                    </a>
                </div>
                <!-- Form Pencarian di Kanan -->
                <div class="col-md-6 offset-md-6">
                    <form action="" method="post" class="form-inline float-right">
                        <div class="input-group">
                            <input type="text" class="form-control" placeholder="Cari data kader ..." name="keyword">
                            <div class="input-group-append">
                                <button class="btn btn-primary" type="submit">Cari</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <br>
    <!-- Tabel Data Kader -->
    <table class="table table-hover table-bordered">
        <thead class="thead-dark ">
            <tr>
                <th class="text-center">No</th>
                <th class="text-center">Nama</th>
                <th class="text-center">Tempat Lahir</th>
                <th class="text-center">Tanggal Lahir</th>
                <th class="text-center">Aksi</th>
            </tr>
        </thead>
        <tbody>
            <?php $no = 1; ?>
            <?php foreach ($data_kader as $kdr) : ?>
                <tr onclick="window.location='<?= base_url(); ?>datakader/profil/<?= $kdr['id']; ?>'" style="cursor: pointer;">
                    <td class="text-center"><?php echo $no++; ?></td>
                    <td class="text-center"><?= $kdr['nama']; ?></td>
                    <td class="text-center"><?= $kdr['tempat_lahir']; ?></td>
                    <td class="text-center"><?php echo strftime(' %d %B %Y', strtotime($kdr['tanggal_lahir'])); ?></td>
                    <td class="text-center">
                        <a href="<?= base_url(); ?>datakader/hapus/<?= $kdr['id'] ?>" class="btn btn-danger btn-sm" onclick="return confirm('Apakah anda yakin menghapus data ini?');">
                            <i class="fas fa-trash"> </i>
                        </a>
                        
                        <a href="<?= base_url(); ?>datakader/ubah/<?= $kdr['id'] ?>" class="btn btn-success btn-sm">
                            <i class="fas fa-edit"> </i> <!-- Ikon Edit -->
                        </a>
                    </td>
                    </td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>

</div>
