<div class="container my-5">
    <a href="javascript:history.back()" class="btn btn-secondary mb-3">Kembali</a>
    
    <?php if ($kader): ?>
        <h3 class="text-center"><?= $kader['nama']; ?></h3>
        <div class="row justify-content-center mt-4">
            <div class="col-md-4 text-center">
                <img src="<?= base_url('uploads/foto_kader/' . $kader['foto']); ?>" alt="Foto <?= $kader['nama']; ?>" class="img-fluid rounded" style="max-width: 200px;">
            </div>
            <div class="col-md-6">
                <ul class="list-group">
                    <li class="list-group-item"><strong>Nama:</strong> <?= $kader['nama']; ?></li>
                    <li class="list-group-item"><strong>NIK:</strong> <?= $kader['nik']; ?></li>
                    <li class="list-group-item"><strong>Tempat, Tanggal Lahir:</strong> 
                        <?= $kader['tempat_lahir'] . ', ' . strftime('%d %B %Y', strtotime($kader['tanggal_lahir'])); ?>
                    </li>
                    <li class="list-group-item"><strong>Usia:</strong> <?= $kader['usia'] . 'tahun'; ?></li>
                    <li class="list-group-item"><strong>Alamat:</strong> <?= $kader['alamat']; ?></li>
                    <li class="list-group-item"><strong>Agama:</strong> <?= $kader['agama']; ?></li>
                    <li class="list-group-item"><strong>Pendidikan Terakhir:</strong> <?= $kader['pendidikan_terakhir']; ?></li>
                    <li class="list-group-item"><strong>Email:</strong> <?= $kader['email']; ?></li>
                    <li class="list-group-item"><strong>No. HP:</strong> <?= $kader['no_hp']; ?></li>
                </ul>
            </div>
        </div>
    <?php else: ?>
        <p class="text-center">Data kader tidak ditemukan.</p>
    <?php endif; ?>
</div>
