<div class="container mt-5">
    <a href="<?= site_url('Datakader') ?>" class="btn btn-success mr-2">Kembali</a>
    <div class="row justify-content-center">
        <div class="col-md-6">
            <h2 class="text-center">Tambah Data Kader</h2>

            <font color="green"><?php echo $this->session->flashdata('pesan'); ?></font>
            <?php if ($this->session->flashdata('error')): ?>
                <div class="alert alert-danger"><?= $this->session->flashdata('error'); ?></div>
            <?php endif; ?>

            <?php echo form_open('Datakader/tambah'); ?>
            <div class="form-group">
                <label for="nama">Nama Lengkap</label>
                <input type="text" name="nama" class="form-control" id="nama" required>
                <?php echo form_error('nama', '<div class="text-danger"><small>', '</small></div>'); ?>
            </div>
            <div class="form-group">
                <label for="username">Nik</label>
                <input type="number" name="nik" class="form-control" id="nik" required>
                <?php echo form_error('nik', '<div class="text-danger"><small>', '</small></div>'); ?>
            </div>
            <div class="form-group">
                <label for="tempat_lahir">Tempat Lahir</label>
                <input type="text" name="tempat_lahir" class="form-control" id="tempat_lahir" required>
                <?php echo form_error('tempat_lahir', '<div class="text-danger"><small>', '</small></div>'); ?>
            </div>
            <div class="form-group">
                <label for="tanggal_lahir">Tanggal Lahir</label>
                <input type="date" name="tanggal_lahir" class="form-control" id="tanggal_lahir" required>
                <?php echo form_error('tanggal_lahir', '<div class="text-danger"><small>', '</small></div>'); ?>
            </div>
            <div class="form-group">
                <label for="alamat">Alamat</label>
                <input type="text" name="alamat" class="form-control" id="alamat" required>
                <?php echo form_error('alamat', '<div class="text-danger"><small>', '</small></div>'); ?>
            </div>
            <div class="form-group">
                    <label for="agama">Agama</label>
                    <select class="form-control" id="agama" name="agama">
                        <option value="">-- Pilih Agama --</option>
                        <option value="Islam" <?= set_select('agama', 'Islam'); ?>>Islam</option>
                        <option value="Kristen" <?= set_select('agama', 'Kristen'); ?>>Kristen</option>
                        <option value="Katolik" <?= set_select('agama', 'Katolik'); ?>>Katolik</option>
                        <option value="Hindu" <?= set_select('agama', 'Hindu'); ?>>Hindu</option>
                        <option value="Budha" <?= set_select('agama', 'Budha'); ?>>Budha</option>
                        <option value="Konghucu" <?= set_select('agama', 'Konghucu'); ?>>Konghucu</option>
                    </select>
                    <small class="text-danger"><?= form_error('agama'); ?></small>
                </div>

                <div class="form-group">
                    <label for="pendidikan_terakhir">Pendidikan Terakhir</label>
                    <select class="form-control" id="pendidikan_terakhir" name="pendidikan_terakhir" required>
                        <option value="">-- Pilih Pendidikan Terakhir --</option>
                        <option value="Tidak tamat sekolah" <?= set_select('pendidikan_terakhir', 'Tidak tamat sekolah'); ?>>Tidak Tamat Sekolah</option>
                        <option value="SD/Sederajat" <?= set_select('pendidikan_terakhir', 'SD/Sederajat'); ?>>SD/Sederajat</option>
                        <option value="SMP/Sederajat" <?= set_select('pendidikan_terakhir', 'SMP/Sederajat'); ?>>SMP/Sederajat</option>
                        <option value="SMA/Sederajat" <?= set_select('pendidikan_terakhir', 'SMA/Sederajat'); ?>>SMA/Sederajat</option>
                        <option value="Diploma satu (D1)" <?= set_select('pendidikan_terakhir', 'Diploma satu (D1)'); ?>>Diploma Satu (D1)</option>
                        <option value="Diploma dua (D2)" <?= set_select('pendidikan_terakhir', 'Diploma dua (D2)'); ?>>Diploma Dua (D2)</option>
                        <option value="Diploma tiga (D3)" <?= set_select('pendidikan_terakhir', 'Diploma tiga (D3)'); ?>>Diploma Tiga (D3)</option>
                        <option value="Diploma empat (D4)" <?= set_select('pendidikan_terakhir', 'Diploma empat (D4)'); ?>>Diploma Empat (D4)</option>
                        <option value="Sarjana (S1)" <?= set_select('pendidikan_terakhir', 'Sarjana (S1)'); ?>>Sarjana (S1)</option>
                        <option value="Magister (S2)" <?= set_select('pendidikan_terakhir', 'Magister (S2)'); ?>>Magister (S2)</option>
                        <option value="Doktor (S3)" <?= set_select('pendidikan_terakhir', 'Doktor (S3)'); ?>>Doktor (S3)</option>
                    </select>
                    <small class="text-danger"><?= form_error('pendidikan_terakhir'); ?></small>
                </div>

            <div class="form-group">
                <label for="email">Email</label>
                <input type="email" name="email" class="form-control" id="email" required>
                <?php echo form_error('email', '<div class="text-danger"><small>', '</small></div>'); ?>
            </div>
            <div class="form-group">
                <label for="no_hp">No. HP</label>
                <input type="text" name="no_hp" class="form-control" id="no_hp" required>
                <?php echo form_error('no_hp', '<div class="text-danger"><small>', '</small></div>'); ?>
            </div>
            <div class="text-center">
                <?= form_submit('submit', 'Simpan', ['class' => 'btn btn-primary']) ?>
            </div>
            <?php echo form_close(); ?>
        </div>
    </div>
</div>
