<div class="container my-5">
    <h3><?= $judul ?></h3>

    <form method="post" class="form-inline mb-3">
        <select name="bulan" class="form-control mr-2">
            <?php for ($i = 1; $i <= 12; $i++): ?>
            <option value="<?= $i ?>" <?= $bulan == $i ? 'selected' : '' ?>>
                <?= date("F", mktime(0, 0, 0, $i, 1)) ?>
            </option>
            <?php endfor; ?>
        </select>
        <select name="tahun" class="form-control mr-2">
            <?php for ($y = 2023; $y <= date('Y'); $y++): ?>
            <option value="<?= $y ?>" <?= $tahun == $y ? 'selected' : '' ?>><?= $y ?></option>
            <?php endfor; ?>
        </select>
        <button type="submit" class="btn btn-primary">Filter</button>
    </form>

    <table class="table table-bordered">
        <thead>
            <tr>
                <th>No</th>
                <th>NIK</th>
                <th>Nama</th>
                <th>Tanggal Absen</th>
                <th>Aksi</th>
            </tr>
        </thead>
        <tbody>
            <?php $no = 1; foreach ($lansia_hadir as $l): ?>
            <tr>
                <td><?= $no++ ?></td>
                <td><?= $l['nik'] ?></td>
                <td><?= $l['nama'] ?></td>
                <td><?= $l['tanggal'] ?></td>
                <td>
                    <?php if ($l['sudah_riwayat']): ?>
                        <span class="badge badge-success">Riwayat sudah ditambahkan</span>
                    <?php else: ?>
                        <a href="<?= base_url('Datalansia/tambah_riwayat/' . $l['nik']) ?>" class="btn btn-sm btn-info">
                            Tambah Riwayat
                        </a>
                    <?php endif; ?>
                </td>

            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
</div>
