<div class="container mt-5">
  <a href="javascript:void(0)" class="btn btn-success mb-3" onclick="history.back()">Kembali</a>
  <div class="row justify-content-center">
    <div class="col-md-8">
      <h2 class="text-center">Edit Data Lansia</h2>
      <div class="card-body">
        <form action="<?= base_url('Datalansia/ubah/' . $data_lansia['nik']); ?>" method="post">

          <div class="form-group">
            <label for="nama">Nama Lengkap</label>
            <input type="text" name="nama" class="form-control" id="nama" value="<?= $data_lansia['nama']; ?>" required>
          </div>

          <div class="form-group">
            <label for="nik">NIK</label>
            <input type="text" name="nik" class="form-control" id="nik" value="<?= $data_lansia['nik']; ?>" required readonly>
          </div>

          <div class="form-group">
            <label for="tempat_lahir">Tempat Lahir</label>
            <input type="text" name="tempat_lahir" class="form-control" id="tempat_lahir" value="<?= $data_lansia['tempat_lahir']; ?>" required>
          </div>

          <div class="form-group">
            <label for="tanggal_lahir">Tanggal Lahir</label>
            <input type="date" name="tanggal_lahir" class="form-control" id="tanggal_lahir" value="<?= $data_lansia['tanggal_lahir']; ?>" required>
          </div>

          <div class="form-group">
            <label for="statuskawin">Status Perkawinan</label>
            <select class="form-control" id="statuskawin" name="statuskawin" required>
              <option value="Menikah" <?= ($data_lansia['statuskawin'] == 'Menikah') ? 'selected' : ''; ?>>Menikah</option>
              <option value="Tidak Menikah" <?= ($data_lansia['statuskawin'] == 'Tidak Menikah') ? 'selected' : ''; ?>>Tidak Menikah</option>
              <option value="Janda" <?= ($data_lansia['statuskawin'] == 'Janda') ? 'selected' : ''; ?>>Janda</option>
              <option value="Duda" <?= ($data_lansia['statuskawin'] == 'Duda') ? 'selected' : ''; ?>>Duda</option>
            </select>
          </div>

          <div class="form-group">
            <label for="pekerjaan">Pekerjaan</label>
            <input type="text" name="pekerjaan" class="form-control" id="pekerjaan" value="<?= $data_lansia['pekerjaan']; ?>" required>
          </div>

          <div class="form-group">
            <label for="jkelamin">Jenis Kelamin</label>
            <select class="form-control" id="jkelamin" name="jkelamin" required>
              <option value="Laki-laki" <?= ($data_lansia['jkelamin'] == 'Laki-laki') ? 'selected' : ''; ?>>Laki-laki</option>
              <option value="Perempuan" <?= ($data_lansia['jkelamin'] == 'Perempuan') ? 'selected' : ''; ?>>Perempuan</option>
            </select>
          </div>

          <div class="form-group">
            <label for="alamat">Alamat</label>
            <input type="text" name="alamat" class="form-control" id="alamat" value="<?= $data_lansia['alamat']; ?>" required>
          </div>

          <div class="form-group">
            <label for="agama">Agama</label>
            <select class="form-control" id="agama" name="agama" required>
              <option value="Islam" <?= ($data_lansia['agama'] == 'Islam') ? 'selected' : ''; ?>>Islam</option>
              <option value="Kristen Katholik" <?= ($data_lansia['agama'] == 'Kristen Katholik') ? 'selected' : ''; ?>>Kristen Katholik</option>
              <option value="Kristen Protestan" <?= ($data_lansia['agama'] == 'Kristen Protestan') ? 'selected' : ''; ?>>Kristen Protestan</option>
              <option value="Hindu" <?= ($data_lansia['agama'] == 'Hindu') ? 'selected' : ''; ?>>Hindu</option>
              <option value="Budha" <?= ($data_lansia['agama'] == 'Budha') ? 'selected' : ''; ?>>Budha</option>
              <option value="Konghucu" <?= ($data_lansia['agama'] == 'Konghucu') ? 'selected' : ''; ?>>Konghucu</option>
            </select>
          </div>

          <div class="form-group">
            <label for="keterangan">Keterangan</label>
            <select class="form-control" id="keterangan" name="keterangan" required>
              <option value="Sehat" <?= ($data_lansia['keterangan'] == 'Sehat') ? 'selected' : ''; ?>>Sehat</option>
              <option value="Sakit" <?= ($data_lansia['keterangan'] == 'Sakit') ? 'selected' : ''; ?>>Sakit</option>
            </select>
          </div>

          <div class="form-group">
            <label for="tempat_tinggal">Tempat Tinggal</label>
            <select class="form-control" id="tempat_tinggal" name="tempat_tinggal" required>
              <option value="Rumah sendiri" <?= ($data_lansia['tempat_tinggal'] == 'Rumah sendiri') ? 'selected' : ''; ?>>Rumah sendiri</option>
              <option value="Rumah anak" <?= ($data_lansia['tempat_tinggal'] == 'Rumah anak') ? 'selected' : ''; ?>>Rumah anak</option>
              <option value="Panti sosial" <?= ($data_lansia['tempat_tinggal'] == 'Panti sosial') ? 'selected' : ''; ?>>Panti sosial</option>
              <option value="Tidak tetap" <?= ($data_lansia['tempat_tinggal'] == 'Tidak tetap') ? 'selected' : ''; ?>>Tidak tetap</option>
              <option value="Lain-lain" <?= ($data_lansia['tempat_tinggal'] == 'Lain-lain') ? 'selected' : ''; ?>>Lain-lain</option>
            </select>
          </div>

          <div class="form-group">
            <label for="pend_terakhir">Pendidikan Terakhir</label>
            <select class="form-control" id="pend_terakhir" name="pend_terakhir" required>
              <option value="Tidak Sekolah" <?= ($data_lansia['pend_terakhir'] == 'Tidak Sekolah') ? 'selected' : ''; ?>>Tidak Sekolah</option>
              <option value="SD/Sederajat" <?= ($data_lansia['pend_terakhir'] == 'SD/Sederajat') ? 'selected' : ''; ?>>SD</option>
              <option value="SMP/Sederajat" <?= ($data_lansia['pend_terakhir'] == 'SMP/Sederajat') ? 'selected' : ''; ?>>SMP</option>
              <option value="SMA/Sederajat" <?= ($data_lansia['pend_terakhir'] == 'SMA/Sederajat') ? 'selected' : ''; ?>>SMA</option>
              <option value="Sarjana" <?= ($data_lansia['pend_terakhir'] == 'Sarjana') ? 'selected' : ''; ?>>Sarjana</option>
            </select>
          </div>

          <div class="text-center">
            <button type="submit" class="btn btn-primary">Simpan</button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
