<?php
class Kader extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->library('auth');
        $this->auth->check_login();
        $this->no_cache();
    }

    private function no_cache() {
        $this->output->set_header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
        $this->output->set_header('Cache-Control: no-store, no-cache, must-revalidate, max-age=0');
        $this->output->set_header('Cache-Control: post-check=0, pre-check=0', false);
        $this->output->set_header('Pragma: no-cache');
    }

    public function dashboard() {
        if ($this->session->userdata('role') != 'kader') {
            redirect('login');
        }
        $data['judul'] = 'Dashboard Kader';
        $this->load->view('kader/headerkader', $data);
        $this->load->view('kader/dashboard');
        $this->load->view('kader/footerkader');
    }
}
?>
