<div class="container my-5">
    <div class="row justify-content-center">
        <div class="col-12">
            <h3 class="my-4 text-center">Daftar Agenda Posyandu</h3>
            <?php echo anchor('agenda/form_add', '+ Tambah Agenda', 'class="btn btn-primary btn-sm mb-4 px-3 py-2" style="font-size:14px; font-weight: bold;"'); ?>
            
            <div class="card-body table-responsive">
            <table class="table table-bordered table-hover">
                <thead class="thead-light">
                        <tr>
                            <th scope="col" class="text-center">No</th>
                            <th scope="col" class="text-center">NAMA AGENDA</th>
                            <th scope="col" class="text-center">JENIS</th>
                            <th scope="col" class="text-center">TANGGAL</th>
                            <th scope="col" class="text-center">POSYANDU</th>
                            <th scope="col" class="text-center">KETERANGAN</th>
                            <th scope="col" class="text-center">OPSI</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $no = 1; ?>
                        <?php foreach ($data as $key) { ?>
                        <tr>
                            <th scope="row" class="text-center"><?php echo $no++; ?></th>
                            <td class="text-center"><?php echo $key->nama_agenda; ?></td>
                            <td class="text-center"><?php echo $key->jenis; ?></td>
                            <td class="text-center"><?php echo $key->tanggal; ?></td>
                            <td class="text-center"><?php echo $key->tempat; ?></td>
                            <td class="text-center"><?php echo $key->keterangan; ?></td>
                            <td class="text-center">
                                <!-- Tombol Edit -->
                                <?php echo anchor('agenda/edit/'.$key->id, '<i class="fas fa-edit"> </i>', 'class="btn btn-info btn-sm"'); ?>
                                <!-- Tombol Hapus -->
                                <?php echo anchor('agenda/del/'.$key->id, '<i class="fas fa-trash"> </i>', array('class'=>'btn btn-danger btn-sm', 'onclick'=>'return confirmDialog();')); ?>
                                <!-- Tombol Download -->
                                <?php echo anchor('agenda/download/'.$key->id, '<i class="fas fa-download"> </i>', 'class="btn btn-success btn-sm"'); ?>
                            </td>
                        </tr>
                        <?php } ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
function confirmDialog() {
    return confirm("Yakin akan di hapus?");
}
</script>
