
    <div class="container my-5">
    

    <!-- Carousel -->
    
    <a class="carousel-control-prev" href="#homeCarousel" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="sr-only">Previous</span>
    </a>
    <a class="carousel-control-next" href="#homeCarousel" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="sr-only">Next</span>
    </a>



    <!-- Informasi Layanan -->
    <div class="row text-center">
        
    <div class="col-6 md-4">
        <div class="card mb-4">
            <div class="card-body">
                <h5 class="card-title">Jumlah Lansia Aktif dan Pasif per Bulan</h5>
                <canvas id="kehadiranBulananChart" style="height: 250px;"></canvas>
            </div>
        </div>
        </div>
        <div class="col-6 md-4">
            <div class="card mb-4">
                <div class="card-body">
                    <h5 class="text-center mb-4">Grafik Pemeriksaan Lansia Terkini</h5>
                    <canvas id="pemeriksaanTerkiniChart" style="height: 250px;"></canvas>
                </div>
            </div>
        </div>
        
        <div class="col-4 md-4">
            <div class="card mb-4">
                <div class="card-body">
                <h5 class="text-center mb-4">Statistik Kesehatan Lansia</h5>
                <canvas id="kesehatanChart" style="height: 250px"></canvas>
                </div>
            </div>
        </div>    
        
        
        
    </div>
</div>


<!-- Load Chart.js -->
<script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

<script>
    var ctx = document.getElementById('kesehatanChart').getContext('2d');
    var kesehatanChart = new Chart(ctx, {
        type: 'bar', // ganti jadi 'bar'
        data: {
            labels: ['Sehat', 'Tidak Sehat'],
            datasets: [{
                label: 'Jumlah Lansia',
                data: [<?= $sehat ?>, <?= $tidak_sehat ?>], // ambil dari controller
                backgroundColor: ['#28a745', '#dc3545'], // hijau dan merah
                borderColor: ['#28a745', '#dc3545'],
                borderWidth: 1
            }]
        },
        options: {
            scales: {
                y: {
                    beginAtZero: true,
                    title: {
                        display: true,
                        text: 'Jumlah Orang'
                    }
                }
            },
            plugins: {
                legend: {
                    display: false
                }
            }
        }
    });
</script>
<script>
    var ctx = document.getElementById('kehadiranBulananChart').getContext('2d');
    var kehadiranBulananChart = new Chart(ctx, {
        type: 'bar',
        data: {
            labels: ['Jan', 'Feb', 'Mar', 'Apr', 'Mei', 'Jun', 'Jul', 'Agu', 'Sep', 'Okt', 'Nov', 'Des'],
            datasets: [
                {
                    label: 'Aktif',
                    data: <?= json_encode(array_values($bulanAktif)) ?>,
                    backgroundColor: '#17a2b8'
                },
                {
                    label: 'Pasif',
                    data: <?= json_encode(array_values($bulanPasif)) ?>,
                    backgroundColor: '#ffc107'
                }
            ]
        },
        options: {
            responsive: true,
            scales: {
                y: {
                    beginAtZero: true,
                    title: {
                        display: true,
                        text: 'Jumlah Lansia'
                    }
                }
            }
        }
    });
</script>
<script>
const ctxTerkini = document.getElementById('pemeriksaanTerkiniChart').getContext('2d');
const pemeriksaanTerkiniChart = new Chart(ctxTerkini, {
    type: 'bar',
    data: {
        labels: ['Asam Urat Tinggi', 'Gula Darah Tinggi', 'Kolesterol Tinggi', 'Tekanan Darah Tidak Normal'],
        datasets: [{
            label: 'Jumlah Lansia',
            data: [
                <?= $grafik_pemeriksaan['asam_urat']; ?>, 
                <?= $grafik_pemeriksaan['gula_darah']; ?>, 
                <?= $grafik_pemeriksaan['kolesterol']; ?>, 
                <?= $grafik_pemeriksaan['tekanan_darah']; ?>
            ],
            backgroundColor: [
                '#ff6384',
                '#36a2eb',
                '#ffcd56',
                '#4bc0c0'
            ],
            borderColor: '#ccc',
            borderWidth: 1
        }]
    },
    options: {
        responsive: true,
        scales: {
            y: {
                beginAtZero: true
            }
        }
    }
});
</script>