<div class="container my-5">
    <?php if ($this->session->flashdata('flash')) : ?>
    <div class="row mt-3">
        <div class="col-md-6">
            <div class="alert alert-success alert-dismissible fade show" role="alert">
                Data Lansia <strong>berhasil</strong> <?= $this->session->flashdata('flash'); ?>.
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
        </div>
    </div>
    <?php endif; ?>
            
    <div class="row mt-5">
        <div class="col">
            <h3 class="text-center">Data Lansia</h3>
            <?php if (empty($data_lansia)) : ?>
            <div class="alert alert-danger" role="alert">
                Data tidak ditemukan
            </div>
            <?php endif; ?>
            <div class="row mt-3">
                <!-- Form Pencarian di Kanan -->
                <div class="col-md-6 offset-md-6">
                    <form action="" method="post" class="form-inline float-right">
                        <div class="input-group">
                            <input type="text" class="form-control" placeholder="Cari data bidan ..." name="keyword">
                            <div class="input-group-append">
                                <button class="btn btn-primary" type="submit">Cari</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <br>
            <div style="overflow-x: auto;">
                <table class="table table-hover table-bordered">
                    <thead class="thead-dark">
                        <tr>
                            <th class="text-center">No</th>
                            <th class="text-center">Nama Lengkap</th>
                            <th class="text-center">Tempat Lahir</th>
                            <th class="text-center">Tanggal Lahir</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $no = 1; ?>
                        <?php foreach ($data_lansia as $lns) : ?>
                            <tr onclick="window.location='<?= base_url(); ?>Datalansia/data_lengkap/<?= $lns['nik']; ?>'" style="cursor: pointer;">
                                <td class="text-center"><?= $no++; ?></td>
                                <td class="text-center"><?= $lns['nama']; ?></td>
                                <td class="text-center"><?= $lns['tempat_lahir']; ?></td>
                                <td class="text-center"><?= strftime('%d %B %Y', strtotime($lns['tanggal_lahir'])); ?></td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
