<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css"
        integrity="sha384-GJzZqFGwb1QTTN6wy59ffF1BuGJpLSa9DkKMp0DgiMDm4iYMj70gZWKYbI706tWS" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">

    <!-- MY CSS -->
    <link rel="stylesheet" href="<?= base_url(); ?>/assets/css/style.css">

    <title>Home Kader</title>
</head>

<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">
    <div class="container d-flex justify-content-between align-items-center">
        
        <!-- Kiri: Logo -->
        <span class="navbar-brand brand-title">
            <img src="<?= base_url('assets/img/logo-posyandu.png'); ?>" width="70" height="60"> Posyandu Mawar
        </span>

        <!-- Menu Tengah Agak ke Kanan -->
        <div class="collapse navbar-collapse justify-content-end mr-4" id="navbarNavAltMarkup">
    <div class="navbar-nav">
        <a class="nav-link <?= ($this->uri->segment(2) == 'dashboard') ? 'active' : '' ?>" 
           href="<?= base_url(); ?>kader/dashboard">Home</a>

        <a class="nav-link <?= ($this->uri->segment(1) == 'absensi' && $this->uri->segment(2) == '') ? 'active' : '' ?>" 
           href="<?= base_url(); ?>absensi">Absensi Lansia</a>

        <a class="nav-link <?= ($this->uri->segment(1) == 'absensi' && $this->uri->segment(2) == 'daftar_hadir') ? 'active' : '' ?>" 
           href="<?= base_url(); ?>absensi/daftar_hadir">Daftar Kehadiran</a>

        <a class="nav-link <?= ($this->uri->segment(1) == 'datalansia') ? 'active' : '' ?>" 
           href="<?= base_url(); ?>datalansia/kader">Data Lansia</a>

        <a class="nav-link <?= ($this->uri->segment(1) == 'agenda') ? 'active' : '' ?>" 
           href="<?= base_url(); ?>agenda/kader">Agenda</a>
    </div>
</div>


        <!-- Kanan: User Info -->
        <div class="dropdown">
            <a class="nav-link dropdown-toggle text-dark" href="#" id="userDropdown" data-toggle="dropdown">
                <i class="fas fa-user-circle"></i>
                <?= ucfirst($this->session->userdata('role')); ?> - <?= $this->session->userdata('nama'); ?>
            </a>
            <div class="dropdown-menu dropdown-menu-right">
                <a class="dropdown-item" href="<?= base_url('login/logout'); ?>">
                    <i class="fas fa-sign-out-alt fa-sm fa-fw mr-2 text-gray-400"></i> Logout
                </a>
            </div>
        </div>

    </div>
</nav>
